html {
    margin: 0 auto;
}
body {
    margin: 0 auto;
    font-family: 'Noto Sans Osmanya', sans-serif;
    background-image: url("images/bg6.jpg");
    background-size: cover;
    background-repeat: no-repeat;
}
.page {
    display: none;
    width: 100%;
    vertical-align: middle;
}
.wrapper {
    margin: 0 auto;
    width: 80%;
    font-family: 'Noto Sans Osmanya', sans-serif;
    /* background-color: white; */
    color: white;
    text-align: center;
}
.header {
    display: block; 
    background-color: black; 
    color: white; 
    width: 100%; 
    height: 50px;
    padding-top: 5px;
    padding-bottom: 5px;
    background-image: url("front_files/AI-dentifi_logo.png");
    background-repeat: no-repeat;
    background-position: 5px;
    background-size: 70px;
}
.header a {
    color: #9af63e;
}
.centerbox {
    margin: 0 auto;
    width: 400px;
    font-family: 'Noto Sans Osmanya', sans-serif;
    /* background-color: white; */
    color: white;
    position: absolute;
    top: 10%;
    left: 35%;
}
.textinput {
    padding: 15px;
    width: 100%;
    border-radius: 10px;
    background-color: white;
}
.textinput input[type="text"], input[type="password"] {
    width: 100%;
    border: none;
    outline: none;
    padding: 0;
    margin: 0 auto;
    font-size: 24px;
}

.result_text {
    color: white;
    font-size: 24px;
}
.the_thumbs {
    width: 100%;
    vertical-align: middle;
    text-align: center;
    justify-content: center;
    align-items: center;
    display: flex;
}
.thumb {
    height:70px;
    width:70px;
    display: block;
    margin: 0 10px;
    border-radius:50%;
    background-color: rgba(0,0,0,.5);
    padding-left: 10px;
    padding-top: 10px;
    cursor: pointer;
}
#thumb_down {
    padding-top: 15px;
}
.result_text .modified {
    font-size: larger;
    color: yellow;
    font-style: italic;
}
.result_text .original {
    font-size: larger;
    color: lightgreen;
    font-style: italic;
}
.submitbutton {
    width: 100%;
    padding: 5px;
    border: 1px solid black;
    border-radius: 10px;
    background-color: black;
    color: white;
    font-size: 24px;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
}

#dragonfly {
    position: absolute;
    width: 150px;
    height: 100px;
    background-image: url('images/DF-logo-200X200.png');
    background-size:contain;
    background-repeat: no-repeat;
    z-index: 10;
}

.next {
    font-size: 35px;
    padding: 10px;
    background-color: green;
    border-radius: 10px;
    border-style: solid;
    border-color:  white grey grey white;
    display: none;
    cursor: pointer;
}
.next:active {
    border-color: grey white white grey;
}
.home {
    font-size: 35px;
    padding: 10px;
    background-color: green;
    border-radius: 10px;
    border-style: solid;
    border-color:  white grey grey white;
    cursor: pointer;
    display: inline;
}
.button {
    font-size: 35px;
    padding: 10px;
    background-color: green;
    border-radius: 10px;
    border-style: solid;
    border-color:  white grey grey white;
    cursor: pointer;
    display: inline;
    color: white;
    text-decoration: none;
}
#step1_header {
    color: white;
}
#step1_subheader {
    color: white;
}
#profile_link {
    font-size: 35px;
    padding: 10px;
    background-color: green;
    border-radius: 10px;
    border-style: solid;
    border-color:  white grey grey white;
    cursor: pointer;
}
#membership_link {
    font-size: 35px;
    padding: 10px;
    background-color: green;
    border-radius: 10px;
    border-style: solid;
    border-color:  white grey grey white;
    cursor: pointer;
}
#profile_update {
    font-size: 35px;
    padding: 10px;
    background-color: green;
    border-radius: 10px;
    border-style: solid;
    border-color:  white grey grey white;
    cursor: pointer;
    display: inline;
}

.main {
    margin: 0;
    width: 100%;
    min-height: 100%;
    background-color: #9DEBDF;
}
.upg {
    padding: 15px 50px 15px 50px;
    color: white !important;
    border-radius: 30px;
    margin-top: 40px;
    margin-bottom: 40px;
    text-decoration: none;
    background-image: url(https://assets-global.website-files.com/60e5f2de011b86acebc30db7/6446624444e808612b7591de_jasper-button-arrow.svg);
    background-position: 7px;
    background-repeat: no-repeat;
    transition: all .3s;
}
.upg:hover {
    background-position: 97%;
    padding: 15px 70px 15px 30px;
}
.down {
    padding: 10px;
    background: red;
    color: white !important;
    border-radius: 20px;
    margin-top: 40px;
    text-decoration: none;
}
.collapsible {
    background-color: #fff;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 15px;
}
/* Add a background color to the button if it is clicked on (add the .active class with JS), and when you move the mouse over it (hover) */
.active, .collapsible:hover {
    background-color: #ccc;
}
/* Style the collapsible content. Note: hidden by default */
.content {
    padding: 18px;
    display: none;
    overflow: hidden;
    background-color: #f1f1f1;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}
.collapsible:after {
    content: '\02795'; /* Unicode character for "plus" sign (+) */
    font-size: 13px;
    color: white;
    float: right;
    margin-left: 5px;
}
.active:after {
    content: "\2796"; /* Unicode character for "minus" sign (-) */
}

#content a:link {
    color: #9af63e;
    font-weight: bold;
}
#content a:visited {
    color: #9af63e;
    font-weight: bold;
}
#content {
    padding-top: 10px;
    color: white;
    width: 100%;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
}
#planStarter {
    width: 20%;
    min-width: 260px;
    border-radius: 20px;
    border: 4px solid #10a690;
    background-color: white;
    padding: 0px 20px 20px 20px;
    color: #10a690;
    position: relative;
    margin: 0px 0px 15px 7%;
    
}
#planGold {
    width: 20%;
    min-width: 260px;
    border-radius: 20px;
    border: 4px solid #1166A3;
    background-color: white;
    color: #1166A3;
    padding: 0px 20px 20px 20px;
    position: relative;
    margin: 0px 0px 5px 7%;
}
#planPlatinum {
    width: 20%;
    min-width: 260px;
    border-radius: 20px;
    border: 4px solid #f72dff;
    padding: 0 20px 20px 20px;
    color: #f72dff;
    position: relative;
    margin: 0px 0px 0px 7%;
}
.ribbon {
    width: 150px;
    height: 150px;
    overflow: hidden;
    position: absolute;
}
.ribbon::before,
.ribbon::after {
    position: absolute;
    z-index: -1;
    content: '';
    display: block;
    border: 5px solid #2980b9;
}
.ribbon span {
    position: absolute;
    display: block;
    width: 225px;
    padding: 15px 0;
    background-color: #9af63e;
    box-shadow: 0 5px 10px rgba(0,0,0,.1);
    color: #000;
    font: 700 18px/1 'Lato', sans-serif;
    text-shadow: 0 1px 1px rgba(0,0,0,.2);
    text-transform: uppercase;
    text-align: center;
}

/* top left*/
.ribbon-top-left {
    top: -10px;
    left: -10px;
}
.ribbon-top-left::before,
.ribbon-top-left::after {
    border-top-color: transparent;
    border-left-color: transparent;
}
.ribbon-top-left::before {
    top: 0;
    right: 0;
}
.ribbon-top-left::after {
    bottom: 0;
    left: 0;
}
.ribbon-top-left span {
    right: -25px;
    top: 30px;
    transform: rotate(-45deg);
}

/* top right*/
.ribbon-top-right {
    top: 0px;
    right: 0px;
}
.ribbon-top-right::before,
.ribbon-top-right::after {
    border-top-color: transparent;
    border-right-color: transparent;
}
.ribbon-top-right::before {
    top: 0;
    left: 0;
}
.ribbon-top-right::after {
    bottom: 0;
    right: 0;
}
.ribbon-top-right span {
    left: -25px;
    top: 30px;
    transform: rotate(45deg);
}

/* bottom left*/
.ribbon-bottom-left {
    bottom: -10px;
    left: -10px;
}
.ribbon-bottom-left::before,
.ribbon-bottom-left::after {
    border-bottom-color: transparent;
    border-left-color: transparent;
}
.ribbon-bottom-left::before {
    bottom: 0;
    right: 0;
}
.ribbon-bottom-left::after {
    top: 0;
    left: 0;
}
.ribbon-bottom-left span {
    right: -25px;
    bottom: 30px;
    transform: rotate(225deg);
}

/* bottom right*/
.ribbon-bottom-right {
    bottom: -10px;
    right: -10px;
}
.ribbon-bottom-right::before,
.ribbon-bottom-right::after {
    border-bottom-color: transparent;
    border-right-color: transparent;
}
.ribbon-bottom-right::before {
    bottom: 0;
    left: 0;
}
.ribbon-bottom-right::after {
    top: 0;
    right: 0;
}
.ribbon-bottom-right span {
    left: -25px;
    bottom: 30px;
    transform: rotate(-225deg);
}

.glow-on-hover {
    border: none;
    outline: none;
    color: #fff;
    background: #111;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 10px;
    padding: 10px;
    font-size: 24px;
    display: inline;
}

.glow-on-hover:before {
    content: '';
    background: linear-gradient(45deg, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5, #002bff, #7a00ff, #ff00c8, #ff0000);
    position: absolute;
    top: -2px;
    left:-2px;
    background-size: 400%;
    z-index: -1;
    filter: blur(5px);
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    animation: glowing 20s linear infinite;
    opacity: 1;
    transition: opacity .3s ease-in-out;
    border-radius: 10px;
}

.glow-on-hover:active {
    color: #000
}

.glow-on-hover:active:after {
    background: transparent;
}

.glow-on-hover:after {
    z-index: -1;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #000;
    left: 0;
    top: 0;
    border-radius: 10px;
}

@keyframes glowing {
    0% { background-position: 0 0; }
    50% { background-position: 400% 0; }
    100% { background-position: 0 0; }
}

#fileToAnalyze {
    margin: auto;
    border:2px dotted #0B85A1;
    background-color: #000;
    max-width:580px;
    color:#92AAB0;
    text-align:left;
    vertical-align:middle;
    padding:10px 10px 10 10px;
    margin-bottom:10px;
    font-size:180%;
    padding: 50px 0px 50px 0px;
    text-align: center;
}
#fileToUpload {
    display: none;
}
.progressBar {
    width: 200px;
    height: 22px;
    border: 1px solid #ddd;
    border-radius: 5px; 
    overflow: hidden;
    display:inline-block;
    margin: 0 auto;
    vertical-align:top;
}
.progressBar div {
    height: 100%;
    color: #fff;
    text-align: right;
    line-height: 22px; /* same as #progressBar height if we want text middle aligned */
    width: 0;
    background-color: #0ba1b5; border-radius: 3px; 
}
.statusbar {
    border-top:1px solid #A9CCD1;
    min-height:25px;
    width:580px;
    padding:5px 5px 0px 5px;
    vertical-align:top;
    background:#EBEFF0;
    margin: 0 auto;
}
.statusbar:nth-child(odd){
    background:#EBEFF0;
}
.filename {
    display:inline-block;
    vertical-align:top;
    width:250px;
    color: #30693D;
}
.filesize {
display:inline-block;
vertical-align:top;
color:#30693D;
width:100px;
margin-left:10px;
margin-right:5px;
}
.abort {
    background-color:#A8352F;
    -moz-border-radius:4px;
    -webkit-border-radius:4px;
    border-radius:4px;display:inline-block;
    color:#fff;
    font-family:arial;font-size:13px;font-weight:normal;
    padding:4px 15px;
    cursor:pointer;
    vertical-align:top
}

@media (max-width: 950px) {
    #dragonfly {
        top: 500px; /* Shift down by 450px */
        left: 50%; /* Center horizontally */
        transform: translateX(-50%); /* Adjust for the width of the element */
    }

    .progressBar {
        width: 150px;
        margin:0px 5px 5px 5px;
    }
    .statusbar {
        width:400px;
        padding:5px 5px 0px 5px;
        text-align: left;
        margin: auto;
    }
    .filename {
        width:150px;
    }
    .filesize {
        display:none;
    }
    .abort {
        font-size:12px;
        padding:4px 10px;
        cursor:pointer;
    }
}

@media (max-width: 745px) {
    #dragonfly {
        top: 500px; /* Shift down by 450px */
        left: 50%; /* Center horizontally */
        transform: translateX(-50%); /* Adjust for the width of the element */
    }

    .progressBar {
        width: 300px;
        margin:0px 5px 5px 5px;
    }
    .statusbar {
        width:400px;
        padding:5px 5px 0px 5px;
        text-align: left;
        margin: auto;
    }
    .filename {
        display: none;
    }
    .filesize {
        display:none;
    }
    .abort {
        font-size:12px;
        padding:4px 10px;
        cursor:pointer;
    }
}

@media (max-width: 640px) {
    #dragonfly {
        top: 550px; /* Shift down by 450px */
        left: 50%; /* Center horizontally */
        transform: translateX(-50%); /* Adjust for the width of the element */
    }

    .progressBar {
        width: 300px;
        margin:0px 5px 5px 5px;
    }
    .statusbar {
        width:400px;
        padding:5px 5px 0px 5px;
        text-align: left;
        margin: auto;
    }
    .filename {
        display: none;
    }
    .filesize {
        display:none;
    }
    .abort {
        font-size:12px;
        padding:4px 10px;
        cursor:pointer;
    }
}

@media (max-width: 480px) {
    body {
        background-color: black;
    }
    .wrapper {
        width: 98%;
    }
    .centerbox {
        max-width: 80%;
    }
    .textinput {
        max-width: 300px;
        padding: 7px;
        border-radius: 5px;
    }
    .textinput input[type="text"], input[type="password"] {
        max-width: 85%;
        font-size: 18px;
    }
    #dragonfly {
        top: 550px; /* Shift down by 450px */
        left: 50%; /* Center horizontally */
        transform: translateX(-50%); /* Adjust for the width of the element */
    }

    .progressBar {
        width: 300px;
        margin:0px 5px 5px 5px;
    }
    .statusbar {
        width:400px;
        padding:5px 5px 0px 5px;
        text-align: left;
        margin: auto;
    }
    .filename {
        display: none;
    }
    .filesize {
        display:none;
    }
    .abort {
        font-size:12px;
        padding:4px 10px;
        cursor:pointer;
    }
}

#payment .wrapper {
    display: flex;
    margin: 0 auto;
    width: 80%;
}
#payment .overview {
    width: 50%;
    padding-top: 50px;
}
#payment .payment_form {
    width: 50%;
    padding-top: 0px;
    padding-left: 50px;
    border-left: 1px solid darkgray;
}
#payment .form_item {
    padding: 5px;
    border-radius: 5px;
    border: 1px solid darkgray;
}
#payment input[type=button], input[type=submit], input[type=reset] {
    background-color: #04AA6D;
    border-radius: 10px;
    border: none;
    color: white;
    padding: 16px 32px;
    text-decoration: none;
    margin: 4px 2px;
    cursor: pointer;
}


svg {
    height: 40vh;
    margin: auto;
    display: block;
}

path {
    stroke-linecap: round;
    stroke-width: 6;
}

path.grey {
    stroke: #e7e7e8;
    stroke-width: 2px
}

path.green {
    stroke: url(#gradient);
    stroke-dasharray: 134;
    stroke-dashoffset: 134;
    animation: dash 1s linear forwards;
}
path.white {
    stroke: #ffffff;
    stroke-dasharray: 0px, 198px;
    stroke-dashoffset: 198;
    stroke-width: 3.5px;
    animation: dash 1s linear forwards;
}
@keyframes dash {
    to {
        stroke-dashoffset: 0;
    }
}